Mailly文档

Set the first webhook endpoint of an inbox address (legacy)

PUT
/inbox/webhook/addresses/{addressId}

Legacy single-subscription API: creates or updates the oldest endpoint of the address. Use /inbox/webhook/endpoints to manage multiple endpoints. The signing secret is returned only on creation or rotateSecret.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

addressId*string

Inbox address ID

Request Body

application/json
  1. body
url?string
active?boolean
bodyFormat?string

text / html / markdown

stripQuotes?boolean
signingSecret?string
rotateSecret?boolean
[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
subscription*
signingSecret?string
[key: string]?unknown
curl -X PUT 'https://api.mailly.site/inbox/webhook/addresses/string' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "subscription": {    "property1": null,    "property2": null  },  "signingSecret": "string",  "property1": null,  "property2": null}